package com.hzs.common.core.enums;

import com.hzs.common.core.constant.EnumsPrefixConstants;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 商品类型枚举
 */
@AllArgsConstructor
@Getter
public enum EWaresType {

    /**
     * 1=普通商品
     */
    ORDINARY(1, "普通商品", EnumsPrefixConstants.ENU_WARES_TYPE + "1"),

    ;

    /**
     * 实际值
     */
    private final Integer value;

    /**
     * 显示标签
     */
    private final String label;
    /**
     * 国际化翻译key值
     */
    private final String key;

    public static String getEnumLabelByValue(Integer value) {
        if (null == value) {
            return "";
        }
        for (EWaresType eApproveStatus : EWaresType.values()) {
            if (eApproveStatus.getValue().equals(value)) {
                return eApproveStatus.getLabel();
            }
        }
        return "";
    }

}
